Returns weather maps for a given location.
HTTP request
GET https://weather.googleapis.com/v1/mapTypes/{mapType}/mapTiles/{zoom}/{x}/{y}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
mapType |
Required. The type of the weather map. Defines the weather event that the map will graphically represent. Allowed values: - US_PRECIPITATION_CURRENT - US precipitation current map. - EU_PRECIPITATION_CURRENT - EU precipitation current map. |
zoom |
Required. The map's zoom level. Defines how large or small the contents of a map appear in a map view. Zoom level 0 is the entire world in a single tile. Zoom level 1 is the entire world in 4 tiles. Zoom level 2 is the entire world in 16 tiles. Zoom level 16 is the entire world in 65,536 tiles. Allowed values: 0-16 |
x |
Required. Defines the east-west point in the requested tile. Must be non-negative. |
y |
Required. Defines the north-south point in the requested tile. Must be non-negative. |
Request body
The request body must be empty.
Response body
Message that represents an arbitrary HTTP body. It should only be used for payload formats that can't be represented as JSON, such as raw binary or an HTML page.
This message can be used both in streaming and non-streaming API methods in the request as well as the response.
It can be used as a top-level request field, which is convenient if one wants to extract parameters from either the URL or HTTP template into the request fields and also want access to the raw HTTP body.
Example:
message GetResourceRequest {
// A unique request id.
string request_id = 1;
// The raw HTTP body is bound to this field.
google.api.HttpBody http_body = 2;
}
service ResourceService {
rpc GetResource(GetResourceRequest)
returns (google.api.HttpBody);
rpc UpdateResource(google.api.HttpBody)
returns (google.protobuf.Empty);
}
Example with streaming methods:
service CaldavService {
rpc GetCalendar(stream google.api.HttpBody)
returns (stream google.api.HttpBody);
rpc UpdateCalendar(stream google.api.HttpBody)
returns (stream google.api.HttpBody);
}
Use of this type only changes how the request and response bodies are handled, all other features will continue to work unchanged.
If successful, the response is a generic HTTP response whose format is defined by the method.
| JSON representation |
|---|
{ "contentType": string, "data": string, "extensions": [ { "@type": string, field1: ..., ... } ] } |
| Fields | |
|---|---|
contentType |
The HTTP Content-Type header value specifying the content type of the body. |
data |
The HTTP request/response body as raw binary. A base64-encoded string. |
extensions[] |
Application specific response metadata. Must be set in the first response for streaming APIs. An object containing fields of an arbitrary type. An additional field |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
MapType
The type of the weather map. Defines the weather event that the map will graphically represent. Additional values may be added in the future.
| Enums | |
|---|---|
MAP_TYPE_UNSPECIFIED |
The default value. Ignores the value if passed as a parameter. |
US_PRECIPITATION_CURRENT |
Represents a US precipitation current map. |
EU_PRECIPITATION_CURRENT |
Represents an EU precipitation current map. |